select
  case
    when count_before = count_after
    then 'Success. Incident counts OK'
    when count_before > count_after
    then 'Fail. ' || (count_before - count_after) || 'Incidents lost.'
    else 'Fail. ' || (count_after - count_before) || 'Incidents duplicated.'
  end as test_result
from
  (
    select
      count(*) as count_before 
    from
      old_claim
    where
      date_and_time_of_incident is not null or
      description_of_incident is not null
  ) x,
  (
    select count(*) as count_after from incident
  ) y;